Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003425 [JEDI VCL] 00 JVCL Components minor always 2006-01-08 14:44 2006-04-05 01:24
Reporter DeathMAD View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003425: TJvToolBar with assigned Menu and(or) TMenuItem
Description When use TJvToolBar.Menu := mnMainMenu and set in menu highlevel menuitem(caption like "File","Edit","Help") property Visible to False - ToolBar not hide button corresponding with menu item.

When I manualy create button on Toolbar and assign MenuItem property on buttons - DisabledImages and Painting style ignoring and I see ugly bitmaps on menu(like in Delphi 7 :( )

At last, when I set ViewCheckMarks := True Menu with change on every item, not only when exists checkmarks.

P.S. Sorry for ugly english.

Additional Information
Tags No tags attached.
Attached Files zip file icon ToolBarTest.zip [^] (18,996 bytes) 2006-01-12 05:06

- Relationships

-  Notes
(0008356)
obones (administrator)
2006-01-09 00:56

Please create a "sample" application and attach the zipped sources to this issue.
(0008396)
DeathMAD (reporter)
2006-01-17 12:12

I have added sample.
(0008905)
obones (administrator)
2006-04-04 08:01

Answers to your three points:

1. That's right, it's a bug and has been fixed.

2. This was expected behaviour, and has been improved.

3. This is expected. This property (ShowCheckMarks) is there to force having checkmarks for ALL items. If set to False, you will get a square around the image, just like XP does for its menus

Point 1 and 2 will be in CVS as soon as the system is back online.
(0008947)
obones (administrator)
2006-04-05 01:24

This is now in CVS

- Issue History
Date Modified Username Field Change
2006-01-08 14:44 DeathMAD New Issue
2006-01-09 00:56 obones Note Added: 0008356
2006-01-09 00:56 obones Status new => feedback
2006-01-12 05:06 DeathMAD File Added: ToolBarTest.zip
2006-01-17 12:12 DeathMAD Note Added: 0008396
2006-04-04 08:01 obones Note Added: 0008905
2006-04-04 08:01 obones Status feedback => confirmed
2006-04-04 08:07 obones Relationship added related to 0003098
2006-04-04 08:07 obones Relationship deleted related to 0003098
2006-04-05 01:24 obones Status confirmed => resolved
2006-04-05 01:24 obones Resolution open => fixed
2006-04-05 01:24 obones Assigned To => obones
2006-04-05 01:24 obones Note Added: 0008947


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker